# Generated from experian-data-dictionary-1.4.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name experian-data-dictionary

Name: rubygem-%{gem_name}
Version: 1.4.5
Release: 1%{?dist}
Summary: Ruby gem/plugin to interact with the Experian.com Data Dictionary
License: MIT
URL: https://github.com/blakecampbells/experian_data_dictionary
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Ruby gem/plugin to interact with the Experian.com Data Dictionary. Checkout
the project on github for more detail.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.pryrc
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_libdir}
%{gem_instdir}/update_gem.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/experian_data_dictionary.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.4.5-1
- Initial package
